libPocuter 1.0 Support library for programming the Pocuter

Public Types | Public Member Functions | Static Public Attributes | List of all members
Pocuter Class Reference

`#include <Pocuter.h>`

Collaboration diagram for Pocuter:
[legend]

## Public Types
enum | POCUTER_RESULT { POCUTER_RESULT_OK = 0, POCUTER_RESULT_FAILED }

## Public Member Functions
| Pocuter ()
| Pocuter constructor. More...
virtual | ~Pocuter ()
| Pocuter destructor. More...
void | begin (PocuterDisplay::BUFFER_MODE bm=PocuterDisplay::BUFFER_MODE_NO_BUFFER)
| initializes your Pocuter More...
int | setStatusLED (uint8_t r, uint8_t g, uint8_t b)
| Setting Status LED. More...

## Static Public Attributes
static RGBled * | RGBLed
static PocuterI2C * | I2C
static PocuterDisplay * | Display
static UGUI * | ugui
static PocuterLightSensor * | LightSensor
static PocuterButtons * | Buttons
static PocuterPorts * | Ports
static PocuterSleep * | Sleep
static PocuterHMAC * | HMAC
static PocuterSDCard * | SDCard
static PocuterOTA * | OTA
static PocuterWIFI * | WIFI
static PocuterHTTP * | HTTP
static PocuterMicrophone * | Microphone
static PocuterTime * | PocTime
static PocuterServer * | Server
static PocuterAccelerometer * | Accelerometer

## Member Enumeration Documentation

## ◆ POCUTER_RESULT

enum Pocuter::POCUTER_RESULT

Enumerator
POCUTER_RESULT_OK |
POCUTER_RESULT_FAILED |

## Constructor & Destructor Documentation

## ◆ Pocuter()

Pocuter::Pocuter | ( |  | ) |

Pocuter constructor.

Note
  you have to call begin() after this

Returns
  - the pocuter class

## ◆ ~Pocuter()

virtual Pocuter::~Pocuter | ( |  | ) |
| virtual

Pocuter destructor.

## Member Function Documentation

## ◆ begin()

void Pocuter::begin | ( | PocuterDisplay::BUFFER_MODE | bm = `PocuterDisplay::BUFFER_MODE_NO_BUFFER` | ) |

initializes your Pocuter

Note
  BUFFER_MODE_NO_BUFFER saves memory, but can lead to flickering of the display in certain applications

Parameters

  bm | (optional) the buffer mode for the Pocuter.

## ◆ setStatusLED()

int Pocuter::setStatusLED | ( | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b
| ) |  |

Setting Status LED.

Parameters

  r | value
  g | value
  b | value

Returns
  - LEDERROR_OK Success
  - LEDERROR_FAILURE failed to set RGB

## Member Data Documentation

## ◆ Accelerometer

PocuterAccelerometer* Pocuter::Accelerometer
| static

PocuterAccelerometer Class Acccess

## ◆ Buttons

PocuterButtons* Pocuter::Buttons
| static

PocuterButtons Class Acccess

## ◆ Display

PocuterDisplay* Pocuter::Display
| static

PocuterDisplay Class Acccess

## ◆ HMAC

PocuterHMAC* Pocuter::HMAC
| static

PocuterHMAC Class Acccess

## ◆ HTTP

PocuterHTTP* Pocuter::HTTP
| static

PocuterHTTP Class Acccess

## ◆ I2C

PocuterI2C* Pocuter::I2C
| static

PocuterI2C Class Acccess

## ◆ LightSensor

PocuterLightSensor* Pocuter::LightSensor
| static

PocuterLightSensor Class Acccess

## ◆ Microphone

PocuterMicrophone* Pocuter::Microphone
| static

PocuterMicrophone Class Acccess

## ◆ OTA

PocuterOTA* Pocuter::OTA
| static

PocuterOTA Class Acccess

## ◆ PocTime

PocuterTime* Pocuter::PocTime
| static

PocuterTime Class Acccess

## ◆ Ports

PocuterPorts* Pocuter::Ports
| static

PocuterPorts Class Acccess

## ◆ RGBLed

RGBled* Pocuter::RGBLed
| static

RGBLed Class Acccess

## ◆ SDCard

PocuterSDCard* Pocuter::SDCard
| static

PocuterSDCard Class Acccess

## ◆ Server

PocuterServer* Pocuter::Server
| static

PocuterServer Class Acccess

## ◆ Sleep

PocuterSleep* Pocuter::Sleep
| static

PocuterSleep Class Acccess

## ◆ ugui

UGUI* Pocuter::ugui
| static

UGUI Class Acccess

## ◆ WIFI

PocuterWIFI* Pocuter::WIFI
| static

PocuterWIFI Class Acccess

The documentation for this class was generated from the following file:

- Pocuter.h